#primary .ast-archive-description {
  display: none !important;
}

.wrap_product {
  max-width: 375px;
  margin-left: auto;
  margin-right: auto;
}

.discount_label {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 34px;
  height: 20px;
  border-radius: 4px;
  background-color: #40352c;
  color: #fdf2ed;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 12px;
  line-height: 1.5;
  text-align: center;
}

.wrap_discount {
  display: flex;
  justify-content: space-between;
  position: absolute;
  z-index: 5;
  top: 8px;
  width: 100%;
  padding: 0 8px;
  align-items: center;
}

.btn_favorite {
  margin-left: auto;
}

.icon_wishlist_catalog {
  width: 24px;
  height: 24px;
}

.icon_wishlist_catalog.hiden {
  display: none;
}

.container_product_list {
  display: flex;
  padding: 32px 20px 66px 20px;
}

#primary {
  padding: 0;
}

.woocommerce-result-count {
  display: none;
}

.woocommerce-loop-product__title {
  color: #1a1a1a;
}

.wrap_title_filter {
  display: flex;
  justify-content: start;
  align-items: center;
  gap: 8px;
  margin-bottom: 30px;
}

.title_modal_filter {
  font-family: "Inter", sans-serif;
  font-weight: 700;
  font-size: 18px;
  line-height: 1.5;
  color: #1a1a1a;
}

/* Buton sorting and filter */
.wrap_filter_button {
  max-width: 1280px;
  position: relative;
  display: flex;
  justify-content: space-between;
  text-align: center;
  padding: 0 20px;
}

.sorting-button {
  font-weight: 700;
  font-size: 18px;
  line-height: 1.5;
  color: #1a1a1a;
  padding: 0px 0px 0px 0px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.sorting-button::after {
  content: "";
  width: 40px;
  height: 40px;
  background-image: url("../icons/expand_sorting.svg");
  background-repeat: no-repeat;
  background-size: contain;
  margin: 0;
}

.filter-button {
  font-weight: 700;
  font-size: 18px;
  line-height: 1.5;
  color: #1a1a1a;
  padding: 0px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.filter-button::after {
  content: "";
  width: 40px;
  height: 40px;
  background-image: url("../icons/icons_plus.svg");
  background-repeat: no-repeat;
  background-size: contain;
  margin: 0;
}

/* Cart Products */
#product-list {
  max-width: 954px;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
  gap: 32px 14px;
  align-items: stretch;
}

.product-item {
  position: relative;
  max-width: 160px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.wrap_thumbail {
  display: flex;
  flex-direction: column;
  gap: 16px;
  flex: 1;
  min-height: 0;
  justify-content: space-between;

}

.wrap_img_catalog {
  width: 160px;
  height: 267px;
  overflow: hidden;
  position: relative;
}

.wrap_img_catalog .swiper {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.wrap_img_catalog .swiper-wrapper {
  height: calc(100% - 17px);
  /* Віднімаємо висоту scrollbar */
}

.wrap_img_catalog.gift-card {
  height: auto;
}

.wrap_price_card.gift-card {
  display: none;
}

.svg_color_product.gift-card {
  display: none;
}

.wrap_img_catalog img {
  object-fit: cover;
}

.img_product_catalog {
  width: 100%;
  height: 100% !important;
}

.img_product_catalog img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.scrollbar_catalog {
  margin-top: 16px;
  position: relative !important;
  height: 1px !important;
  background-color: #d0bcb1;
  width: 100%;
}

.scrollbar_catalog .swiper-scrollbar-drag {
  height: 3px;
  background-color: #bea18c;
  top: -1px;
}

.wrap_thumbail {
  display: flex;
  flex-direction: column;
  flex: 1;
  min-height: 0;
}

.title_catalog_product {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  color: #1a1a1a;
  margin: 0;
}

.wrap_price_card {
  display: flex;
  flex-wrap: nowrap;
  justify-content: start;
  gap: 16px;
}

.product_catakog_price {
  margin-bottom: 0px;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.5;
  color: #1a1a1a;
}

.catakog_price_regular {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.5;
  color: #d0bcb1;
  text-decoration: line-through;
}

.svg_color_product {
  height: 16px;
  display: flex;
  flex-wrap: nowrap;
  justify-content: start;
  gap: 16px;
  margin-top: auto;
}

/* MODAL WINDOWS CATEGORY */
.modal {
  display: none;
  position: fixed;
  overflow-y: auto;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  background-color: #fdf2ed;
  padding: 32px 16px;
  text-align: start;
}

.wrap_btn_close_modal {
  display: flex;
  justify-content: right;
  margin-bottom: 24px;
}

.btn_category_modal {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  padding: 0 0 16px 0;
  margin-bottom: 24px;
  width: 100%;
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 18px;
  line-height: 1.5;
  text-transform: uppercase;
  color: #1a1a1a;
  border-bottom: solid 0.5px #d0bcb1;
}

.btn_category_modal:hover {
  border-bottom: solid 1px #d0bcb1;
}

.btn_category_modal.active_btn_category {
  padding: 0;
  margin-bottom: 0;
  border-bottom: none;
}

.close-modal {
  text-align: end;
  font-size: 24px;
  cursor: pointer;
}

/* BTN open close category */
.svg_close {
  display: none;
}

.svg_close.active_svg {
  display: block;
}

.svg_open.hiden {
  display: none;
}

/* Hiden list category */
.category-list {
  display: none;
}

.category-list.active {
  display: block;
  list-style-type: none;
  padding: 0 0 16px 0;
  border-bottom: solid 0.5px #d0bcb1;
  margin: 0 0 24px 0;
}

/* Input checked styles change standart radio btn */
.category-radio {
  display: none;
}

.svg-checked {
  display: none;
  position: absolute;
}

.category-radio:checked+.svg-default+.svg-checked {
  display: block;
}

.category-item label {
  display: flex;
  flex-wrap: nowrap;
  justify-content: start;
  align-items: center;
  gap: 6px;
}

/* BTN open close atributes color */
.btn_category_color {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  padding: 0 0 16px 0;
  margin-bottom: 24px;
  width: 100%;
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 18px;
  line-height: 1.5;
  text-transform: uppercase;
  color: #1a1a1a;
  border-bottom: solid 0.5px #d0bcb1;
}

.btn_category_color:hover {
  border-bottom: solid 1px #d0bcb1;
}

.btn_category_color.active_btn_category {
  padding: 0;
  margin-bottom: 0;
  border-bottom: none;
}

.svg_close_color {
  display: none;
}

.svg_close_color.active_svg {
  display: block;
}

.svg_open_color.hiden {
  display: none;
}

.color-attribute-list {
  display: none;
}

.color-attribute-list.active {
  display: flex;
  flex-wrap: nowrap;
  justify-content: start;
  gap: 16px;
  list-style-type: none;
  padding: 0 0 16px 0;
  border-bottom: solid 0.5px #d0bcb1;
  margin: 0 0 24px 0;
}

/* fabrics styles */
.svg_close_fabric {
  display: none;
}

.svg_close_fabric.active_svg {
  display: block;
}

.svg_open_fabric.hiden {
  display: none;
}

.fabrics-attribute-list {
  display: none;
}

.btn_fabric_atribut {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  padding: 0 0 16px 0;
  margin-bottom: 24px;
  width: 100%;
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 18px;
  line-height: 1.5;
  text-transform: uppercase;
  color: #1a1a1a;
  border-bottom: solid 0.5px #d0bcb1;
}

.btn_fabric_atribut.active_fabric_atribut {
  padding: 0;
  margin-bottom: 0;
  border-bottom: none !important;
}

.fabrics-attribute-list.active {
  display: block;
  list-style-type: none;
  padding: 0 0 16px 0;
  border-bottom: solid 0.5px #d0bcb1;
  margin: 0 0 24px 0;
}

.btn_fabric_atribut:hover {
  border-bottom: solid 1px #d0bcb1 !important;
}

.btn_fabric_atribut.active_btn_category {
  border-bottom: none !important;
}

/* Price atribute style */
.btn_price_atribut {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  padding: 0 0 16px 0;
  margin-bottom: 24px;
  width: 100%;
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 18px;
  line-height: 1.5;
  text-transform: uppercase;
  color: #1a1a1a;
  border-bottom: solid 0.5px #d0bcb1;
}

.btn_price_atribut.active_price_atribut {
  padding: 0;
  margin-bottom: 0;
  border-bottom: none;
}

.btn_price_atribut:hover {
  border-bottom: solid 1px #d0bcb1;
}

.price-attribute-list {
  display: none;
}

.price-attribute-list.active {
  display: block;
  list-style-type: none;
  padding: 0 0 16px 0;
  border-bottom: solid 0.5px #d0bcb1;
  margin: 0 0 24px 0;
}

.svg_close_price {
  display: none;
}

.svg_close_price.active_svg {
  display: block;
}

.svg_open_price.hiden {
  display: none;
}

/* Promotion atributes styles */
#promotion-form label {
  display: flex;
  flex-wrap: nowrap;
  justify-content: start;
  align-items: center;
  gap: 6px;
  padding: 10px;
}

.title_promotion {
  font-family: "Inter", sans-serif;
  font-weight: 300;
  font-size: 18px;
  line-height: 1.5;
  text-transform: uppercase;
  color: #1a1a1a;
}

.wrap_promotion {
  margin-bottom: 24px;
}

/* Button Submit and Reset */
.filter-submit-button {
  border: 1px solid #40352c;
  padding: 8px 16px;
  width: 100%;
  height: 43px;
  background: #40352c;
  font-family: "Inter", sans-serif;
  font-weight: 700;
  font-size: 18px;
  line-height: 1.5;
  color: #fdf2ed;
  margin-bottom: 26px;
}

.filter-submit-button:hover {
  border-bottom: 0.5px solid var(--virna-shop-additional);
  color: #fdf2ed;
  background: #40352c;
}

.filter-reset-button {
  display: flex;
  text-align: center;
  border-bottom: 0.5px solid #bea18c;
  padding: 4px 0px;

  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.5;
  color: #1a1a1a;
  margin-left: auto;
  margin-right: auto;
}

.filter-reset-button:hover {
  border-bottom: 1px solid #bea18c;
  color: inherit;
}

/* Sorting Styles */
.modal_sorting {
  display: none;
}

.modal_sorting.active_modal {
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
  z-index: 10;
}

.test_test {
  position: relative;
}

.sorting-content {
  display: none;
}

.sorting-content.open_sorting {
  display: block;
  position: absolute;
  top: 0;
  right: 0px;
  width: 375px;
  background: #fdf2ed;
  padding: 24px 24px 24px 32px;
  z-index: 1000;
}

.wrap_btn_close_sorting {
  display: flex;
  justify-content: right;
  margin-bottom: 24px;
}

.sort-list {
  display: block;
  text-align: start;
  list-style: none;
  margin: 0;
}

.sort-item {
  font-family: "Inter", sans-serif;
  font-weight: 300;
  font-size: 18px;
  line-height: 1.5;
  color: #1a1a1a;
  padding: 16px 0 16px 8px;
}

.sort-item:hover {
  background-color: #d0bcb1 !important;
}

.sorting_radio_hiden {
  display: none;
}

.reset-sorting-button {
  font-family: "Inter", sans-serif;
  font-weight: 300;
  font-size: 18px;
  line-height: 1.5;
  color: #1a1a1a;
  padding: 0;
}

.category-item {
  padding: 10px;
  font-size: 18px;
  cursor: pointer;
}

.color_attribute_icons {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

.color-radio {
  display: none;
}

.color-attribute-item.selected label div {
  border: solid 2px #bea18c;
}

.color-attribute-item label:hover {
  cursor: pointer;
}

/* Hover item list menu filters */

.category-item:hover,
.sort-item:hover {
  background-color: var(--virna-shop-additional);
}

/* Pagination */
.wrap_pagination_btn {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-bottom: 36px;
}

.pagination_button {
  display: flex;
  justify-content: center;
  gap: 8px;
  align-items: center;
  width: 124px;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.5;
  color: #1a1a1a;
  border-bottom: solid 0.5px #bea18c;
  padding: 4px 0px;
}

.pagination_button::after {
  content: "";
  display: inline-block;
  width: 24px;
  height: 22px;
  background-image: url(../icons/icon_arrow.svg);
  background-repeat: no-repeat;
  background-size: contain;
  margin: 0;
}

.pagination_button:hover {
  border-bottom: solid 1px #bea18c;
  color: #1a1a1a;
}

.svg_heart_catalog_desktop {
  display: none;
  position: absolute;
  bottom: -90px;
  left: -4px;
  z-index: -1;
}

.svg_heart_catalog_mobile {
  position: absolute;
  bottom: -80px;
  left: 0;
  z-index: -1;
}

/* Spiner loader */
.loading-container {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.8);
  /* Фон для завантаження */
  z-index: 9999;
}

.static-spinner {
  position: relative;
  width: 96px;
  height: 96px;
}

.segment {
  width: 4px;
  height: 24px;
  background: #bea18c;
  position: absolute;
  left: 50%;
  top: 50%;
  transform-origin: center -16px;
  transform: translate(-50%, -50%) rotate(0deg);
  border-radius: 2px;
  animation: changeColor 1s linear infinite;
}

.segment:nth-child(1) {
  transform: translate(-50%, -50%) rotate(0deg);
  animation-delay: 0s;
}

.segment:nth-child(2) {
  transform: translate(-50%, -50%) rotate(45deg);
  animation-delay: 0.125s;
}

.segment:nth-child(3) {
  transform: translate(-50%, -50%) rotate(90deg);
  animation-delay: 0.25s;
}

.segment:nth-child(4) {
  transform: translate(-50%, -50%) rotate(135deg);
  animation-delay: 0.375s;
}

.segment:nth-child(5) {
  transform: translate(-50%, -50%) rotate(180deg);
  animation-delay: 0.5s;
}

.segment:nth-child(6) {
  transform: translate(-50%, -50%) rotate(225deg);
  animation-delay: 0.625s;
}

.segment:nth-child(7) {
  transform: translate(-50%, -50%) rotate(270deg);
  animation-delay: 0.75s;
}

.segment:nth-child(8) {
  transform: translate(-50%, -50%) rotate(315deg);
  animation-delay: 0.875s;
}

@keyframes changeColor {
  0% {
    background: #fdf2ed;
  }

  50% {
    background: #40352c;
    /* Темний активний колір */
  }

  100% {
    background: #bea18c;
  }
}

/* Filter desktop */

@media (min-width: 426px) {
  .wrap_product {
    max-width: 550px;
  }
}

@media (min-width: 769px) {
  .site-content .ast-container {
    display: block;
  }

  .filter-button::after {
    display: none;
  }

  .filter-button {
    font-size: 24px;
  }

  .sorting-button {
    font-size: 24px;
  }

  .wrap_product {
    max-width: 100%;
    padding: 16px 80px 0px 80px;
    margin: 0;
  }

  /* card products  */
  .product-item {
    max-width: 300px;
    display: flex;
    flex-direction: column;
    height: auto;
    min-height: 0;
  }

  .img_wrap {
    max-width: 302px;
    max-height: 452px;
  }

  .img_product_catalog {
    width: 100%;
  }

  .wrap_product_content {
    display: flex;
    width: 100%;
    gap: 24px;
    margin-bottom: 68px;
  }

  .title_catalog_product {
    font-size: 16px;
    font-weight: 700;
    line-height: 1.5;
    margin-bottom: 16px;
  }

  .product_catakog_price {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
  }

  .catakog_price_regular {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
  }

  .svg_color_product {
    height: 24px;
  }

  .svg_color_product svg {
    width: 24px;
    height: 24px;
  }

  .pagination_button {
    font-size: 18px;
    width: 150px;
  }

  .icon_wishlist_catalog {
    width: 40px;
    height: 40px;
    cursor: pointer;
    transform-origin: center;
    transition: transform 0.3s ease, filter 0.2s ease;
  }

  .btn_favorite:hover {
    transform: scale(1.15);
    filter: drop-shadow(0px 1px 2px rgba(0, 0, 0, 0.2));
  }

  /* Filter left sidebar */
  .modal {
    flex: 0 0 302px;
    display: block;
    position: relative;
    height: 100%;
    z-index: 1;
    background-color: #fdf2ed;
    padding: 0;
    text-align: start;
  }

  #product-list {
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 64px 24px;
  }

  .wrap_filter_button {
    padding: 0;
    margin-bottom: 16px;
    /* max-width: 1280px; */
  }

  .wrap_btn_close_modal {
    display: none;
  }

  .wrap_title_filter {
    display: none;
  }

  .category-item {
    padding: 0 0 16px 0;
  }

  .wrap_pagination_btn {
    margin-bottom: 104px;
  }

  .svg_heart_catalog_desktop {
    display: block;
  }

  .svg_heart_catalog_mobile {
    display: none;
  }
}

@media (min-width: 1025px) {
  .title_catalog_product {
    font-size: 24px;
  }

  .product_catakog_price {
    font-size: 22px;
  }

  .catakog_price_regular {
    font-size: 22px;
  }

  .svg_color_product svg {
    width: 32px;
    height: 32px;
  }

  .svg_color_product {
    height: 32px;
  }

  #product-list {
    row-gap: 104px;
  }

  .img_product_catalog img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .wrap_img_catalog {
    width: 302px;
    aspect-ratio: 3/4;
    height: 479px;
    margin-bottom: 16px;
  }

  .wrap_img_catalog.gift-card {
    height: auto;
    aspect-ratio: auto;
  }

  .scrollbar_catalog {
    margin-top: 24px;
  }

  .img_wrap {
    max-height: 476px;
  }

  .discount_label {
    width: 58px;
    height: 40px;
    font-size: 22px;
    top: 20px;
    left: 24px;
  }

  .svg_favorite {
    width: 40px;
    height: 40px;
  }

  .wrap_discount {
    top: 16px;
  }

  .wrap_img_catalog .swiper-wrapper {
    height: calc(100% - 25px);
    /* Більший відступ для десктопної версії */
  }
}